#quine
s=%q[puts "s=%q["+s+"]; eval s" ]; eval s

#別パターンのquine
eval(s=%q[puts "eval(s=%q["+s+"])" ])

#反転したものを出力するquine
s=%q[puts "s lave ;["+s.reverse+"]q%=s" ]; eval s

#赤字で出力するquine
eval(s=%q{puts 27.chr+"[31meval(s=%q{"+s+"})"+27.chr+"[m" })

#アスキーアートquine
eval$s=%q(eval(%w(s=%
 (e               va
  l$             s=
   %q           (#
    {$         s}
     ))       ;p
      ut     s(
       s)   )*
        "" ))

#数字が増えていくquine風
n=1;eval(s=%q[puts "n=#{n+=1};eval(s=%q["+s+"])" ])
